Subject: Re: [RFH] Questions for Git User's Survey 2009

From: Jakub Narebski <[email-masked]>
Date: Thu, 11 Jun 2009 11:43:14 +0200

On Thu, 11 June 2009, David Aguilar wrote:
> On Wed, Jun 10, 2009 at 08:42:13PM +0200, Jakub Narebski wrote:
> > 
> > 11.*Which porcelains / interfaces / implementations do you use?
> >     (multiple choice: git (core), JGit, Cogito, pg, StGIT, Guilt,
> >     Easy Git, Pyrite, TopGit, other - please specify)
> > 12. Which of the following git tools do you use?
> >     (multiple choice: JGit (EGit etc.), Cogito, pg, StGIT, Guilt,
> >     TopGit, Easy Git, editor/IDE VC integration, gitk, git-gui,
> >     QGit, GitView, Giggle, tig, git-sh, instaweb, git-cola / ugit,
> >     GitNub, GitX, GitTortoise, Git Extensions, git-cheetah, Gitosis,
> >     graphical diff tool, graphical merge tool, other - please specify)
> 
> Can you not mention ugit?
> Less is more.  I really hope it has 0 users.
> 
> As you're well aware, git-cola is how most people know it.
> 
> My reason for wanting to strike it from the record is to make
> things simpler for users.  If someone went looking for ugit these
> days they'd be redirected to git-cola.

O.K.

I wonder if I should do the same for Guilt (formerly gq = Git Queues)...

> I have a similar feeling about cogito, but I didn't write it.
> Since cogito is dead, it's best to let it rest, otherwise new
> users waste time wondering what it is, no?
> 
> It's kinda like rewriting history... ;-)

The goal of including Cogito and pg (Patchy Git), of course with strong
warning about it being DEPRECATED, was to check if many people use it,
even when they should not (because it is unmaintained).

Cogito had 14 replies, and pg 2 replies last survey (for 2681 responders).

Put perhaps it is time to lay this answer to rest...

> 
> 
> Thanks for the survey.
> I'll be forwarding to all my co-workers.

It would be a bit before starting survey.  Most work would be announcing
the survey, I think.  Any ideas for channels I forgot last year?

> 
> > 16. Which of the following features do (or did) you use?
> >     (multiple choice: non-default hooks, working with dirty tree,
> 
> fwiw, the number one thing cvs users ask me for is the
> ugly+dirty cvs update-before-commit/merge workflow...

Well, perhaps I should add "What features would you like to see in Git?"
free-form question.  Mind you, I don't guarantee that it would be ever
analyzed... :-)

-- 
Jakub Narebski
Poland